function savePrefs(){
	//promptService.alert(window, "Test", username);
	var username = document.getElementById("username").value;
	var password = document.getElementById("password").value;
	var jiraurl = document.getElementById("jiraurl").value;
	var projectmapping = document.getElementById("projectmapping").value;
	var addheader = document.getElementById("addheader").checked;
	var assigntome = document.getElementById("assigntome").checked;

	if (strEndsWith(jiraurl, '/')) {
		jiraurl = jiraurl.slice(0, -1);
	}


	var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
    prefs = prefs.getBranch("extensions.createjiraissue.");
    prefs.setCharPref("jiraurl", jiraurl);
    prefs.setCharPref("projectmapping", projectmapping);
    prefs.setBoolPref("addheader", addheader);
    prefs.setBoolPref("assigntome", assigntome);

	//var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
	var loginManager = Components.classes["@mozilla.org/login-manager;1"].getService(Components.interfaces.nsILoginManager);
	var nsLoginInfo = new Components.Constructor("@mozilla.org/login-manager/loginInfo;1", Components.interfaces.nsILoginInfo, "init");
	if (username != null && username != 'undefined' && username != "" && password != null && password != 'undefined' && password != "") {
		var extLoginInfo = new nsLoginInfo("chrome://createjiraissue", null, "Jira Login", username, password, "username", "password");
	} else {
		return true;
	}

	// Find existing passwords
	var logins = loginManager.findLogins({}, "chrome://createjiraissue", null, "Jira Login");
	// Find user from returned array of nsILoginInfo objects
    if (logins.length > 0) {
    	loginManager.modifyLogin(logins[0], extLoginInfo);
    } else {
    	 loginManager.addLogin(extLoginInfo);
    }
	return true;
}

function onLoad(){
	// load from password manager
	var loginManager = Components.classes["@mozilla.org/login-manager;1"].getService(Components.interfaces.nsILoginManager);
	//var nsLoginInfo = new Components.Constructor("@mozilla.org/login-manager/loginInfo;1", Components.interfaces.nsILoginInfo, "init");
	var logins = loginManager.findLogins({}, "chrome://createjiraissue", null, "Jira Login");
	if (logins.length > 0) {
		document.getElementById("username").value = logins[0].username;
		document.getElementById("password").value = logins[0].password;
	}
	// load from preferences
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
    prefs = prefs.getBranch("extensions.createjiraissue.");

    if (prefs.prefHasUserValue("jiraurl"))
    	document.getElementById("jiraurl").value = prefs.getCharPref("jiraurl");
    else
    	document.getElementById("jiraurl").value = "";

    if (prefs.prefHasUserValue("projectmapping"))
    	document.getElementById("projectmapping").value = prefs.getCharPref("projectmapping");
    else
    	document.getElementById("projectmapping").value = "";

	if (prefs.prefHasUserValue("addheader"))
		document.getElementById("addheader").checked = prefs.getBoolPref("addheader");
	else
		document.getElementById("addheader").checked = false;

	if (prefs.prefHasUserValue("assigntome"))
		document.getElementById("assigntome").checked = prefs.getBoolPref("assigntome");
	else
		document.getElementById("assigntome").checked = false;
}

function strEndsWith(str, suffix) {
    return str.match(suffix+"$")==suffix;
}

